//Windows

textures/et_austria_windows/austria_window_2x
{
	qer_editorimage textures/et_austria_windows/austria_window_2x.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/effects/tinfx.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/et_austria_windows/austria_window_2x.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/et_austria_windows/tudor_window_2x
{
	qer_editorimage textures/et_austria_windows/tudor_window_2x.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/effects/tinfx.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/et_austria_windows/tudor_window_2x.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/et_austria_windows/tudor_window_yellow_2x
{
	qer_editorimage textures/et_austria_windows/tudor_window_2x.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/effects/tinfx_yellow.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/et_austria_windows/tudor_window_2x.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/et_austria_windows/tudor_window_orange_2x
{
	qer_editorimage textures/et_austria_windows/tudor_window_2x.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/effects/tinfx_orange.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/et_austria_windows/tudor_window_2x.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/et_austria_windows/tudor_window_dyellow_2x
{
	qer_editorimage textures/et_austria_windows/tudor_window_2x.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/effects/tinfx_dyellow.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/et_austria_windows/tudor_window_2x.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/et_austria_windows/tudor_window_dark_2x
{
	qer_editorimage textures/et_austria_windows/tudor_window_2x.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/effects/tinfx_dark.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/et_austria_windows/tudor_window_2x.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

//Banners

textures/et_austria_alpha/tubbanner1new_2x
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/et_austria_alpha/tubbanner1new_2x.jpg
		rgbGen identity
	}
        {
		map textures/et_austria_alpha/tubbanner1new_2x.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/et_austria_alpha/tubbanner2new_2x
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/et_austria_alpha/tubbanner2new_2x.jpg
		rgbGen identity
	}
        {
		map textures/et_austria_alpha/tubbanner2new_2x.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

// Street light - now replaced the latern but retained metal

textures/new_prefabs/street_lantern_01_metal
{
	nomipmaps
	nopicmip
	qer_editorimage textures/new_prefabs/street_lantern_01_metal_128.jpg
	q3map_nonplanar
	q3map_shadeangle 135
	
	
	{
		map textures/new_prefabs/street_lantern_01_metal_128.jpg
		
	}
}

//Trees

models/trees/tree1/branch_t
{
	nopicmip
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models/trees/tree2/branch_gold
{
	nopicmip
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

models/trees/tree3/branch_orange
{
	nopicmip
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

// Light for model outside radio room

models/map_objects/szico_bloodrayne/redlantern
{
	qer_editorimage models/map_objects/szico_bloodrayne/redlantern.jpg
	q3map_surfacelight 1500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/map_objects/szico_bloodrayne/redlantern.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

// Main Lights

textures/et_austria_lights/light_xlight_1000
{
	qer_editorimage textures/et_austria_lights/light_xlight_01.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/et_austria_lights/light_xlight_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/et_austria_lights/light_xlight_01.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/et_austria_lights/light_xlight_750
{
	qer_editorimage textures/et_austria_lights/light_xlight_01.tga
	q3map_surfacelight 750
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/et_austria_lights/light_xlight_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/et_austria_lights/light_xlight_01.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/et_austria_lights/light_xlight_500
{
	qer_editorimage textures/et_austria_lights/light_xlight_01.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/et_austria_lights/light_xlight_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/et_austria_lights/light_xlight_01.tga
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/light/bel_lamp_gm		// for misc_gamemodels
{
	qer_editorimage models/mapobjects/light/bel_lamp.tga
	q3map_lightimage models/colors/amber.tga
	q3map_surfaceLight 500 //2000
	surfaceparm nomarks
	{
		map models/mapobjects/light/bel_lamp.tga
		rgbgen lightingDiffuse
	}
	{
		map models/mapobjects/light/bel_lamp.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/ffm/lamp
{
	q3map_lightimage models/mapobjects/ffm/lamp.tga
	q3map_surfacelight 2000 //12000
	
	surfaceparm nomarks
	surfaceparm glass
			
	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map models/mapobjects/ffm/lamp.blend.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
	{
		map models/mapobjects/ffm/lamp.tga
		blendFunc GL_ONE GL_ONE
	}
}

//model and shader both made by Nemkaboy. Cheers Nemka!!!!

textures/_new_prefabs/eG_lightmap3
{
	nomipmaps
	nopicmip
	qer_editorimage textures/new_prefabs/eG_lightmap3.jpg
	q3map_nonplanar
	q3map_shadeangle 135
	// maybe there is some way to enhance shiny feedback in shader ?
	
	{
		map textures/new_prefabs/eG_lightmap3.jpg
		
	}
}

//Trellis effects

textures/et_austria_alpha/trellis
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}



textures/et_austria_alpha/flowers
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/et_austria_alpha/railings
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}